import React from 'react';
import SvgIcon from 'material-ui/SvgIcon';

const SystemSubscribeIcon = (props) => (
  <SvgIcon {...props}>
    <svg x="0px" y="0px" viewBox="0 0 490 490">
      <g>
        <path d="M279.819,490V357.803l50.461,51.448l49.721-48.517L245,223.082L109.999,360.733l49.721,48.517l50.461-51.448V490H279.819z
		 M159.48,387.628l-27.799-27.133L245,244.951l113.319,115.543l-27.799,27.133l-66.013-67.314v154.374h-39.014V320.314
		L159.48,387.628z"/>
        <path d="M57.885,111.096c-5.63,0-11.081-1.817-14.632-3.637l-2.684,10.909c3.29,1.817,9.869,3.551,16.539,3.551
		c16.015,0,23.544-8.314,23.544-18.094c0-8.224-4.852-13.593-15.148-17.398c-7.537-2.86-10.826-4.505-10.826-8.225
		c0-3.032,2.774-5.63,8.486-5.63c5.712,0,9.869,1.645,12.21,2.774l2.938-10.651c-3.462-1.559-8.307-2.942-14.886-2.942
		c-13.765,0-22.079,7.619-22.079,17.574c0,8.482,6.325,13.851,16.015,17.227c7.013,2.509,9.787,4.587,9.787,8.225
		C67.149,108.588,63.942,111.096,57.885,111.096z"/>
        <path d="M29.877,191.533h430.245c16.471,0,29.877-13.406,29.877-29.881V29.881C490,13.406,476.594,0,460.123,0H29.877
		C13.406,0,0,13.406,0,29.881v131.771C0,178.127,13.406,191.533,29.877,191.533z M15.313,29.881c0-8.034,6.535-14.569,14.565-14.569
		h430.245c8.03,0,14.565,6.535,14.565,14.569v131.771c0,8.034-6.535,14.569-14.565,14.569H29.877
		c-8.03,0-14.565-6.535-14.565-14.569V29.881z"/>
        <path d="M110.709,122.001c15.23,0,24.322-8.568,24.322-26.573V62.706h-13.159v33.586c0,10.303-3.806,15.152-10.729,15.152
		c-6.759,0-10.565-5.11-10.565-15.152V62.706H87.337v32.547C87.337,113.866,95.987,122.001,110.709,122.001z"/>
        <path d="M181.544,116.378c3.634-2.946,6.056-7.099,6.056-12.382c0-7.529-4.935-12.55-11.597-14.37v-0.172
		c6.58-2.423,9.608-7.271,9.608-12.468c0-5.279-2.946-9.26-7.013-11.425c-4.239-2.512-9.174-3.29-17.227-3.29
		c-6.58,0-13.593,0.52-17.055,1.211v57.306c2.946,0.434,7.791,0.867,14.288,0.867C170.202,121.657,177.298,119.75,181.544,116.378z
		 M157.387,72.228c1.129-0.172,2.774-0.348,5.63-0.348c5.974,0,9.346,2.337,9.346,6.752c0,4.329-3.716,7.185-10.647,7.185h-4.329
		V72.228z M157.387,95.253h4.508c6.572,0,11.858,2.34,11.858,8.224c0,6.146-5.286,8.396-11.253,8.396c-2.251,0-3.813,0-5.114-0.172
		V95.253z"/>
        <path d="M209.523,111.096c-5.63,0-11.081-1.817-14.632-3.637l-2.684,10.909c3.29,1.817,9.869,3.551,16.539,3.551
		c16.008,0,23.544-8.314,23.544-18.094c0-8.224-4.852-13.593-15.148-17.398c-7.537-2.86-10.826-4.505-10.826-8.225
		c0-3.032,2.774-5.63,8.486-5.63c5.712,0,9.869,1.645,12.21,2.774l2.938-10.651c-3.462-1.559-8.307-2.942-14.886-2.942
		c-13.765,0-22.079,7.619-22.079,17.574c0,8.482,6.325,13.851,16.015,17.227c7.013,2.509,9.787,4.587,9.787,8.225
		C218.786,108.588,215.579,111.096,209.523,111.096z"/>
        <path d="M266.937,121.919c7.103,0,12.553-1.301,14.976-2.512l-1.989-10.303c-2.594,1.039-7.013,1.907-10.991,1.907
		c-11.776,0-18.699-7.357-18.699-19.043c0-12.987,8.135-19.305,18.61-19.305c4.673,0,8.396,1.039,11.081,2.164l2.684-10.475
		c-2.34-1.215-7.529-2.598-14.37-2.598c-17.66,0-31.859,11.081-31.859,30.991C236.379,109.365,246.772,121.919,266.937,121.919z"/>
        <path d="M301.495,98.113h3.985c5.368,0.086,7.881,2.075,9.436,9.346c1.735,7.185,3.118,11.948,4.067,13.593h13.503
		c-1.122-2.251-2.938-9.869-4.755-16.449c-1.473-5.365-3.724-9.26-7.791-10.905v-0.262c5.017-1.817,10.296-6.924,10.296-14.37
		c0-5.365-1.899-9.436-5.361-12.206c-4.157-3.29-10.221-4.587-18.871-4.587c-7.013,0-13.339,0.52-17.578,1.211v57.568h13.07V98.113z
		 M301.495,72.486c0.957-0.172,2.774-0.43,5.974-0.43c6.064,0.086,9.697,2.77,9.697,8.135c0,5.107-3.895,8.396-10.475,8.396h-5.196
		V72.486z"/>
        <rect x="337.615" y="62.706" width="13.249" height="58.345"/>
        <path d="M397.355,116.378c3.634-2.946,6.056-7.099,6.056-12.382c0-7.529-4.935-12.55-11.596-14.37v-0.172
		c6.58-2.423,9.608-7.271,9.608-12.468c0-5.279-2.946-9.26-7.013-11.425c-4.239-2.512-9.174-3.29-17.227-3.29
		c-6.58,0-13.593,0.52-17.055,1.211v57.306c2.946,0.434,7.791,0.867,14.288,0.867C386.013,121.657,393.108,119.75,397.355,116.378z
		 M373.197,72.228c1.129-0.172,2.774-0.348,5.63-0.348c5.974,0,9.346,2.337,9.346,6.752c0,4.329-3.716,7.185-10.647,7.185h-4.329
		V72.228z M373.197,95.253h4.509c6.572,0,11.858,2.34,11.858,8.224c0,6.146-5.286,8.396-11.253,8.396c-2.251,0-3.813,0-5.114-0.172
		V95.253z"/>
        <polygon points="447.494,110.229 423.516,110.229 423.516,96.378 444.982,96.378 444.982,85.645 423.516,85.645 423.516,73.525
		446.283,73.525 446.283,62.706 410.267,62.706 410.267,121.051 447.494,121.051 	"/>
      </g>
    </svg>
  </SvgIcon>
);

export default SystemSubscribeIcon;